# Class IllegalRequestParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.IllegalRequestParameterException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FormParameter.UnusedParameterValueException`

public abstract class IllegalRequestParameterException extends RuntimeException
This exception is thrown on an attempt to set a form parameter in a way not possible from a browser.

Author:
  Russell Gold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalRequestParameterException()`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalRequestParameterException

public IllegalRequestParameterException()